Name:          sugar-log
Version:       42
Release:       10%{?dist}
Summary:       Log activity for Sugar

# Automatically converted from old format: GPLv2+ - review is highly recommended.
License:       GPL-2.0-or-later
URL:           http://wiki.laptop.org/go/Log
Source0:       http://download.sugarlabs.org/sources/sucrose/fructose/Log/Log-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: python3
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
BuildRequires: gettext
Requires:      sugar >= 0.116

%description
Log is an activity for developers to examine the log files that are 
generated by system software and other activities. 


%prep
%autosetup -n Log-%{version}

sed -i 's/python/python3/' setup.py

%build
python3 ./setup.py build


%install
python3 ./setup.py install --prefix=%{buildroot}/%{_prefix}
rm %{buildroot}%{_prefix}/share/applications/*.desktop || true

# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_3
%py_byte_compile %{python3} %{buildroot}%{_datadir}/{sugaractivitydir}/Log.activity/

%find_lang org.laptop.Log


%files -f org.laptop.Log.lang
%license COPYING
%doc NEWS
%{sugaractivitydir}/Log.activity/


%changelog
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 42-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 26 2024 Miroslav Suchý <msuchy@redhat.com> - 42-9
- convert license to SPDX

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 42-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 42-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 42-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 42-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 42-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 42-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Feb 07 2021 Alex Perez <aperez@sugarlabs.org> - 42-1
- Release 42

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 41-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 41-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 24 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 41-2
- Add upstream patch to fix crash

* Thu Jan 30 2020 Peter Robinson <pbrobinson@fedoraproject.org> 41-1
- release 41

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 16 2019 Peter Robinson <pbrobinson@fedoraproject.org> 40-1
- release 40

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan  7 2019 Peter Robinson <pbrobinson@fedoraproject.org> 39-1
- release 39

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 38-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 38-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 08 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 38-1
- release 38

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 37-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 24 2014 Peter Robinson <pbrobinson@fedoraproject.org> 37-1
- release 37

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 19 2013 Peter Robinson <pbrobinson@fedoraproject.org> 36-1
- release 36

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun  3 2013 Peter Robinson <pbrobinson@fedoraproject.org> 35-1
- release 35

* Mon Apr 29 2013 Peter Robinson <pbrobinson@fedoraproject.org> 34-1
- release 34

* Wed Apr 10 2013 Peter Robinson <pbrobinson@fedoraproject.org> 33-1
- release 33

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 28 2012 Peter Robinson <pbrobinson@fedoraproject.org> 32-1
- release 32

* Sun Nov  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 31-1
- release 31

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 19-1
- release 29

* Fri Mar 23 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 28-1
- release 28

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct  1 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 26-1
- release 26

* Tue Mar  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 24-4
- A new version of Log 24

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 24-2
- bump build

* Thu Sep 30 2010 Schampijer <simon@schampijer.de> - 24-1
- Release 24

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 23-3
- recompiling .py files against Python 2.7 (rhbz#623378)

* Fri Sep 11 2009 Schampijer <simon@schampijer.de> - 23-2
- add gettext build requirement

* Fri Sep 11 2009 Simon Schampijer <simon@schampijer.de> - 23-1
- Fix Tamil translation

* Fri Sep 11 2009 Simon Schampijer <simon@schampijer.de> - 22-1
- Toolbar redesign

* Tue Aug 04 2009 Fabian Affolter <fabian@bernewireless.net> - 19-2
- Added missing requirement

* Tue Aug 04 2009 Fabian Affolter <fabian@bernewireless.net> - 19-1
- Minor spec file modifications
- Changed source0, sugarlabs
- Updated to new upstream version 19

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 18-1
- New upstream release

* Tue Mar 03 2009 Simon Schampijer <simon@schampijer.de> - 17-1
- Rebuild for 0.84

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 16-2
- Rebuild for Python 2.6

* Sat Sep 13 2008 Simon Schampijer <simon@laptop.org> - 16-1
- cleanup upstream in respect to review comments 

* Fri Sep 12 2008 Simon Schampijer <simon@laptop.org> - 15-1
- containing licensing information in the activity.info
- remove pseudo.po in bundlebuilder

* Tue Sep 9 2008 Simon Schampijer <simon@laptop.org> - 14-1
- Initial packaging
